quit -sim

project compileoutofdate

vsim -t ps work.tMIMIC_PLL

# Suppress Warning: There is an 'U'|'X'|'W'|'Z'|'-' in an arithmetic ...
set StdArithNoWarnings 1
run 0 ns
set StdArithNoWarnings 0

add wave -hex -r sim:/tMIMIC_PLL/DUT/*
add wave -hex sim:/tMIMIC_PLL/r_send_from_i
add wave -hex sim:/tMIMIC_PLL/r_receive_by_o
add wave -hex sim:/tMIMIC_PLL/r_send_from_o
add wave -hex sim:/tMIMIC_PLL/r_receive_by_i

configure wave -gridoffset 5ns -gridperiod 10ns -timeline 1

#when -label end_of_sim {end_of_sim == '1'} {echo "End of simulation" ; stop ;}
run 500 ns
